package it.sw.pa.comune.artegna.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class ModelloLiberatoriaDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(ModelloLiberatoriaDTO.class);
        ModelloLiberatoriaDTO modelloLiberatoriaDTO1 = new ModelloLiberatoriaDTO();
        modelloLiberatoriaDTO1.setId(1L);
        ModelloLiberatoriaDTO modelloLiberatoriaDTO2 = new ModelloLiberatoriaDTO();
        assertThat(modelloLiberatoriaDTO1).isNotEqualTo(modelloLiberatoriaDTO2);
        modelloLiberatoriaDTO2.setId(modelloLiberatoriaDTO1.getId());
        assertThat(modelloLiberatoriaDTO1).isEqualTo(modelloLiberatoriaDTO2);
        modelloLiberatoriaDTO2.setId(2L);
        assertThat(modelloLiberatoriaDTO1).isNotEqualTo(modelloLiberatoriaDTO2);
        modelloLiberatoriaDTO1.setId(null);
        assertThat(modelloLiberatoriaDTO1).isNotEqualTo(modelloLiberatoriaDTO2);
    }
}
